Bug 183306 - multimedia/rtmpdump will not compile
multimedia/rtmpdump will not compile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 20:20 UTC by jnagyjr1978
Modified: 2014-08-14 22:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jnagyjr1978 2013-10-25 20:20:00 UTC
multimedia/rtmpdump continues to fail, first suggesting making jobs unsafe enabled in make.conf (which was done) then with this output:

===>>> Starting build for multimedia/rtmpdump <<<===

===>>> All dependencies are up to date

===>  Cleaning for rtmpdump-2.4.20130923
===>  License GPLv2 accepted by the user
===>  Found saved configuration for rtmpdump-2.4.20130923
===>   rtmpdump-2.4.20130923 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by rtmpdump-2.4.20130923 for building
===>  Extracting for rtmpdump-2.4.20130923
=> SHA256 Checksum OK for rtmpdump-2.4.20130923.tar.gz.
===>  Patching for rtmpdump-2.4.20130923
===>  Applying FreeBSD patches for rtmpdump-2.4.20130923
===>   rtmpdump-2.4.20130923 depends on file: /usr/local/lib/libcrypto.so.8 - found
===>   rtmpdump-2.4.20130923 depends on executable: pkgconf - found
===>  Configuring for rtmpdump-2.4.20130923
===>  Building for rtmpdump-2.4.20130923
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c rtmp.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c log.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c amf.c
In file included from amf.c:33:
bytes.h:74:2: warning: #warning "Float word order not defined, assuming the same as byte order!"
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c hashswf.c
cc -DRTMPDUMP_VERSION=\"v2.4\" -DUSE_OPENSSL  -O2 -fPIC -c parseurl.c
ar rs librtmp.a rtmp.o log.o amf.o hashswf.o parseurl.o
ar: warning: creating librtmp.a
cc -shared -Wl,-soname,librtmp.so.0  -o librtmp.so.0  rtmp.o log.o amf.o hashswf.o parseurl.o -L/usr/local/lib -lssl -lcrypto -lz 
ln -sf librtmp.so.0 librtmp.so
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpdump.c
cc  -L/usr/local/lib -Wl,-rpath=/usr/local/lib -o rtmpdump rtmpdump.o -Llibrtmp -lrtmp -lssl -lcrypto -lz  
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpgw.c
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c thread.c
cc  -L/usr/local/lib -Wl,-rpath=/usr/local/lib -o rtmpgw rtmpgw.o thread.o -pthread -Llibrtmp -lrtmp -lssl -lcrypto -lz
cc -O2 -pipe  -I/usr/local/include -fno-strict-aliasing  -DRTMPDUMP_VERSION=\"v2.4\"   -c rtmpsrv.c
cc  -L/usr/local/lib -Wl,-rpath=/usr/local/lib -o rtmpsrv rtmpsrv.o thread.o -pthread -Llibrtmp -lrtmp -lssl -lcrypto -lz  
rtmpsrv.o: In function `main':
rtmpsrv.c:(.text+0x4b0): undefined reference to `RTMP_TLS_AllocServerContext'
rtmpsrv.c:(.text+0x59e): undefined reference to `RTMP_TLS_FreeServerContext'
rtmpsrv.o: In function `doServe':
rtmpsrv.c:(.text+0x1d6c): undefined reference to `RTMP_TLS_Accept'
*** [rtmpsrv] Error code 1

Stop in /usr/ports/multimedia/rtmpdump/work/rtmpdump-2.4.20130923.
*** [do-build] Error code 1

Stop in /usr/ports/multimedia/rtmpdump.
*** [build] Error code 1

Stop in /usr/ports/multimedia/rtmpdump.

===>>> make failed for multimedia/rtmpdump

How-To-Repeat: perform update of rtmpdump-2.4_2 to 2.4.20130923
Comment 1 gnats-freebsd 2013-10-25 20:48:33 UTC
try deleting the currently installed version and installing the new 
version from the port.  I can't remember the exact error I got recently, 
however I had a similar error and I beleive that's how I fixed it.

I am on 9.1-RELEASE-p7 on amd64.
Comment 2 jnagyjr1978 2013-10-25 23:05:32 UTC
On 10/25/13 14:48, Gary Palmer wrote:
> try deleting the currently installed version and installing the new
> version from the port.  I can't remember the exact error I got recently,
> however I had a similar error and I beleive that's how I fixed it.
>
> I am on 9.1-RELEASE-p7 on amd64.
>

That seemed to do it, thank you Gary.

-- 
Yours in Christ,

Joseph A Nagy Jr
"Whoever loves instruction loves knowledge, But he who hates correction
is stupid." -- Proverbs 12:1
Emails are not formal business letters, whatever businesses may want.
Original content CopyFree (F) under the OWL 
http://copyfree.org/licenses/owl/license.txt
Comment 3 Mark Linimon freebsd_committer 2013-10-26 03:59:36 UTC
Responsible Changed
From-To: freebsd-amd64->freebsd-ports-bugs

ports PR.
Comment 4 Edwin Groothuis freebsd_committer 2013-10-26 04:00:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 5 dfilter freebsd_committer 2013-10-29 20:49:29 UTC
Author: hrs
Date: Tue Oct 29 20:49:22 2013
New Revision: 332001
URL: http://svnweb.freebsd.org/changeset/ports/332001

Log:
  Fix a build issue when security/openssl is installed.
  
  PR:	ports/183219, ports/183306

Modified:
  head/multimedia/rtmpdump/Makefile
  head/multimedia/rtmpdump/files/patch-librtmp-Makefile

Modified: head/multimedia/rtmpdump/Makefile
==============================================================================
--- head/multimedia/rtmpdump/Makefile	Tue Oct 29 20:47:32 2013	(r332000)
+++ head/multimedia/rtmpdump/Makefile	Tue Oct 29 20:49:22 2013	(r332001)
@@ -2,6 +2,7 @@
 
 PORTNAME=	rtmpdump
 PORTVERSION=	2.4.20130923
+PORTREVISION=	1
 CATEGORIES=	multimedia net
 MASTER_SITES=	LOCAL/hrs
 

Modified: head/multimedia/rtmpdump/files/patch-librtmp-Makefile
==============================================================================
--- head/multimedia/rtmpdump/files/patch-librtmp-Makefile	Tue Oct 29 20:47:32 2013	(r332000)
+++ head/multimedia/rtmpdump/files/patch-librtmp-Makefile	Tue Oct 29 20:49:22 2013	(r332001)
@@ -1,5 +1,5 @@
 --- librtmp/Makefile.orig	2013-10-07 03:52:05.000000000 +0900
-+++ librtmp/Makefile	2013-10-17 10:05:14.000000000 +0900
++++ librtmp/Makefile	2013-10-30 05:16:36.000000000 +0900
 @@ -1,19 +1,21 @@
  VERSION=v2.4
  
@@ -43,16 +43,18 @@
  LIB_POLARSSL=-lpolarssl $(LIBZ)
  PRIVATE_LIBS=$(LIBS_$(SYS))
  CRYPTO_LIB=$(LIB_$(CRYPTO)) $(PRIVATE_LIBS)
-@@ -74,7 +76,8 @@
+@@ -74,8 +76,9 @@
  
  DEF=-DRTMPDUMP_VERSION=\"$(VERSION)\" $(CRYPTO_DEF) $(XDEF)
  OPT=-O2
 -CFLAGS=-Wall $(XCFLAGS) $(INC) $(DEF) $(OPT) $(SO_DEF)
+-LDFLAGS=$(XLDFLAGS)
 +#CFLAGS=-Wall $(XCFLAGS) $(INC) $(DEF) $(OPT) $(SO_DEF)
-+CFLAGS=$(DEF) $(OPT) $(SO_DEF)
- LDFLAGS=$(XLDFLAGS)
++CFLAGS+=$(DEF) $(SO_DEF)
++#LDFLAGS=$(XLDFLAGS)
  
  
+ OBJS=rtmp.o log.o amf.o hashswf.o parseurl.o
 @@ -102,16 +105,18 @@
  	sed -e "s;@prefix@;$(prefix);" -e "s;@libdir@;$(libdir);" \
  		-e "s;@VERSION@;$(VERSION);" \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"